package market.Slm.ServiceManagement.vo;

import java.io.Serializable;
import java.util.Date;

import market.Slm.ServiceManagement.mapper.SlmServiceObjHandMapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Id;
import com.hnshituo.orm.annotation.Table;

@Table(name="SLM_SERVICE_OBJ_HAND", namespace=SlmServiceObjHandMapper.class)
public class SlmServiceObjHand extends BaseVO implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 932472770819535018L;

	/**
	 * 	异议处理表
	 */
	
	@Id
	//处理编号
	private String hand_no;
	
	@Column
	//申报编号（异议编号）
	private String heat_no;
	
	@Column
	//缺陷品件数
	private Integer bug_qty;
	
	@Column
	//缺陷品重量(t)
	private Double bug_wgt;
	
	@Column
	//处理结果编号   补重；退运费；降价；撤销；退货；间接损失赔偿；一次性理赔处理；其他
	private String prc_result_no;
	
	@Column
	//处理结果名称
	private String prc_result_name;
	
	@Column
	//降价
	private String cut_price;
	
	@Column
	//总赔偿金额RMB(元)
	private Double out_pkt;
	
	@Column
	//总换货重量(t)
	private Double excg_wgt;
	
	@Column
	//总补货重量(t)
	private Double replenishment;
	
	@Column
	//退货重量(t)
	private Double lost_wgt;
	
	@Column
	//赔偿协议文件编号
	private String pay_file_no;
	
	@Column
	//赔偿协议起草人编号
	private String pay_file_man_no;
	
	@Column
	//赔偿协议起草人姓名
	private String pay_file_man_name;
	
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	//赔偿协议起草时间
	private Date pay_file_time;

	public String getHand_no() {
		return hand_no;
	}

	public void setHand_no(String hand_no) {
		this.hand_no = hand_no;
	}

	public String getHeat_no() {
		return heat_no;
	}

	public void setHeat_no(String heat_no) {
		this.heat_no = heat_no;
	}

	public Integer getBug_qty() {
		return bug_qty;
	}

	public void setBug_qty(Integer bug_qty) {
		this.bug_qty = bug_qty;
	}

	public Double getBug_wgt() {
		return bug_wgt;
	}

	public void setBug_wgt(Double bug_wgt) {
		this.bug_wgt = bug_wgt;
	}

	public String getPrc_result_no() {
		return prc_result_no;
	}

	public void setPrc_result_no(String prc_result_no) {
		this.prc_result_no = prc_result_no;
	}

	public String getPrc_result_name() {
		return prc_result_name;
	}

	public void setPrc_result_name(String prc_result_name) {
		this.prc_result_name = prc_result_name;
	}

	public String getCut_price() {
		return cut_price;
	}

	public void setCut_price(String cut_price) {
		this.cut_price = cut_price;
	}

	public Double getOut_pkt() {
		return out_pkt;
	}

	public void setOut_pkt(Double out_pkt) {
		this.out_pkt = out_pkt;
	}

	public Double getExcg_wgt() {
		return excg_wgt;
	}

	public void setExcg_wgt(Double excg_wgt) {
		this.excg_wgt = excg_wgt;
	}

	public Double getReplenishment() {
		return replenishment;
	}

	public void setReplenishment(Double replenishment) {
		this.replenishment = replenishment;
	}

	public Double getLost_wgt() {
		return lost_wgt;
	}

	public void setLost_wgt(Double lost_wgt) {
		this.lost_wgt = lost_wgt;
	}

	public String getPay_file_no() {
		return pay_file_no;
	}

	public void setPay_file_no(String pay_file_no) {
		this.pay_file_no = pay_file_no;
	}

	public String getPay_file_man_no() {
		return pay_file_man_no;
	}

	public void setPay_file_man_no(String pay_file_man_no) {
		this.pay_file_man_no = pay_file_man_no;
	}

	public String getPay_file_man_name() {
		return pay_file_man_name;
	}

	public void setPay_file_man_name(String pay_file_man_name) {
		this.pay_file_man_name = pay_file_man_name;
	}

	public Date getPay_file_time() {
		return pay_file_time;
	}

	public void setPay_file_time(Date pay_file_time) {
		this.pay_file_time = pay_file_time;
	}
}